Subject: bug#38748: 28.0.50; crash on MacOS 10.15.2

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Dec 2019 19:18:33 +0200

> Date: Thu, 26 Dec 2019 13:04:20 +0000
> From: Alan Third <[email-masked]>
> Cc: [email-masked]
> 
> > 20  org.gnu.Emacs                 	0x00000001084a7c86 handle_sigsegv + 168
> > 21  libsystem_platform.dylib      	0x00007fff6b73a42d _sigtramp + 29
> > 22  ???                           	000000000000000000 0 + 0
> > 23  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
> > 24  org.gnu.Emacs                 	0x00000001084ddd80 mark_object + 272
> 
> Looks like a crash in GC.

Yes, but why?

One possibility is stack overflow.  If that's not the reason, then one
needs to employ the technique described in etc/DEBUG to find out which
object got corrupted and why.